import smtplib
import sys
from email.message import EmailMessage
import ci_secrets
import os


def run(tp_file,od_file,coop):
    msg = EmailMessage()
    msg['Subject'] = "Coopdev : évolutions à tester"
    msg['From'] = "brevo@ksuite-coopdev.fr"
    msg['To'] = ci_secrets.coops_mails[coop]
    msg['CC'] = "assistance-redmine@coopdev.fr"
    msg['Reply-to'] = "assistance-redmine@coopdev.fr"

    tp_file_exists = os.path.exists(tp_file)
    od_file_exists = os.path.exists(od_file)

    if not tp_file_exists and not od_file_exists:
        print("MAIL : rien à envoyer")
        return
    else:
        body = "Cher client, chère cliente,\n"
        body = body + "Les évolutions suivantes ont été mises en ligne sur " + ci_secrets.coops_preprod_urls[coop] + ".\n"
        body = body + "Merci de tester leur fonctionnement et nous faire un retour à assistance-redmine@coopdev.fr avant mise en production" + ".\n\n\n"
        if tp_file_exists:
            tp_f = open(tp_file,"r")
            body = body + "Evolutions des applications tierces :\n\n" + tp_f.read()
            tp_f.close()
        if od_file_exists:
            od_f = open(od_file,"r")
            body = body + "Evolutions d'odoo :\n\n" + od_f.read()
            tp_f.close()
        body = body + "\n\nCordialement.\n\n(Ceci est un mail automatique.)"
    msg.set_content(body)
    s = smtplib.SMTP('smtp-relay.sendinblue.com', port=587)
    s.login("brevo@ksuite-coopdev.fr", ci_secrets.mail_server_password)
    s.send_message(msg)
    s.quit()
    print("MAIL : envoi effectué")

if __name__ == '__main__':
    arg = ""
    if len(sys.argv) > 3:
        arg1 = sys.argv[1]
        arg2 = sys.argv[2]
        arg3 = sys.argv[3]
    run(arg1,arg2,arg3)
